com.github.lgooddatepicker.components

## Enum TimePickerSettings.TimeArea

- java.lang.Object
- - java.lang.Enum<TimePickerSettings.TimeArea>
  - - com.github.lgooddatepicker.components.TimePickerSettings.TimeArea

All Implemented Interfaces:
  Serializable, Comparable<TimePickerSettings.TimeArea>

Enclosing class:
  TimePickerSettings

    public static enum TimePickerSettings.TimeArea
    extends Enum<TimePickerSettings.TimeArea>

TimeArea, These enumerations represent areas of the components whose color can be changed. These values are used with the setColor() function, to set the color of various areas of the TimePicker. The default color for each area is also defined here. Note: A default color of "null" means that the default color for that element is supplied by the swing component.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`TextFieldBackgroundDisallowedEmptyTime`
`TextFieldBackgroundInvalidTime`
`TextFieldBackgroundValidTime`
`TextFieldBackgroundVetoedTime`
`TimePickerTextInvalidTime`
`TimePickerTextValidTime`
`TimePickerTextVetoedTime`

### Field Summary

Fields
`Color` `defaultColor`

### Method Summary

All Methods Static Methods Concrete Methods
`static TimePickerSettings.TimeArea` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TimePickerSettings.TimeArea[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TimePickerTextValidTime

    public static final TimePickerSettings.TimeArea TimePickerTextValidTime

#### TimePickerTextInvalidTime

    public static final TimePickerSettings.TimeArea TimePickerTextInvalidTime

#### TimePickerTextVetoedTime

    public static final TimePickerSettings.TimeArea TimePickerTextVetoedTime

#### TextFieldBackgroundValidTime

    public static final TimePickerSettings.TimeArea TextFieldBackgroundValidTime

#### TextFieldBackgroundInvalidTime

    public static final TimePickerSettings.TimeArea TextFieldBackgroundInvalidTime

#### TextFieldBackgroundVetoedTime

    public static final TimePickerSettings.TimeArea TextFieldBackgroundVetoedTime

#### TextFieldBackgroundDisallowedEmptyTime

    public static final TimePickerSettings.TimeArea TextFieldBackgroundDisallowedEmptyTime

### Field Detail

#### defaultColor

    public Color defaultColor

### Method Detail

#### values

    public static TimePickerSettings.TimeArea[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TimePickerSettings.TimeArea c : TimePickerSettings.TimeArea.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TimePickerSettings.TimeArea valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null